Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.script.rhino
Class BatikSecurityController

    java.lang.Object
      org.mozilla.javascript.SecurityController
          org.apache.batik.script.rhino.BatikSecurityController

    public class BatikSecurityController

extends SecurityController

This implementation of the Rhino `SecurityController` interface is meant for use within the context of Batik only. It is a partial implementation of the interface that does what is needed by Batik and no more.

Constructor Summary
`BatikSecurityController()`

Method Summary
`Object` | `callWithDomain(Object securityDomain, Context cx, Callable callable, Scriptable scope, Scriptable thisObj, Object[] args)` Calls `Callable.call(Context, Scriptable, Scriptable, Object[])` of `callable` under restricted security domain where an action is allowed only if it is allowed according to the Java stack on the moment of the `callWithDomain` call and `securityDomain`.
`GeneratedClassLoader` | `createClassLoader(ClassLoader parentLoader, Object securityDomain)` Default constructor
`Object` | `getDynamicSecurityDomain(Object securityDomain)` Get dynamic security domain that allows an action only if it is allowed by the current Java stack and securityDomain.

Methods inherited from class org.mozilla.javascript.SecurityController
`createLoader, execWithDomain, hasGlobal, initGlobal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BatikSecurityController

    public BatikSecurityController()

Method Detail

### createClassLoader

    public GeneratedClassLoader createClassLoader(ClassLoader parentLoader,
                                                  Object securityDomain)

  Default constructor

  Specified by:
    `createClassLoader` in class `SecurityController`

### getDynamicSecurityDomain

    public Object getDynamicSecurityDomain(Object securityDomain)

  Get dynamic security domain that allows an action only if it is allowed by the current Java stack and securityDomain. If securityDomain is null, return domain representing permissions allowed by the current stack.

  Specified by:
    `getDynamicSecurityDomain` in class `SecurityController`

### callWithDomain

    public Object callWithDomain(Object securityDomain,
                                 Context cx,
                                 Callable callable,
                                 Scriptable scope,
                                 Scriptable thisObj,
                                 Object[] args)

  Calls `Callable.call(Context, Scriptable, Scriptable, Object[])` of `callable` under restricted security domain where an action is allowed only if it is allowed according to the Java stack on the moment of the `callWithDomain` call and `securityDomain`. Any call to `getDynamicSecurityDomain(Object)` during execution of `Callable.call(Context, Scriptable, Scriptable, Object[])` should return a domain incorporate restrictions imposed by `securityDomain`.

  Overrides:
    `callWithDomain` in class `SecurityController`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.